curl -X POST "https://server.smartlead.ai/api/v1/email-accounts/reconnect-failed-email-accounts?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{}'
import requests
response = requests.post(
"https://server.smartlead.ai/api/v1/email-accounts/reconnect-failed-email-accounts",
params={"api_key": "YOUR_API_KEY"},
json={}
)
print(response.status_code, response.json())
{
"ok": true,
"message": "Email account(s) added to the queue to reconnect. We will send you an email once completed."
}
{
"ok": true,
"message": "No failed email account found!"
}
{
"ok": true,
"message": "Bulk reconnect cannot be consumed more than 3 times a day."
}
{
"ok": true,
"message": "You need to wait atleast 30 minutes before requesting a bulk reconnect, again."
}
Email Account Management
Reconnect Failed Email Accounts
Queue a reconnect of all email accounts whose SMTP or IMAP connection has failed
POST
/
api
/
v1
/
email-accounts
/
reconnect-failed-email-accounts
curl -X POST "https://server.smartlead.ai/api/v1/email-accounts/reconnect-failed-email-accounts?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{}'
import requests
response = requests.post(
"https://server.smartlead.ai/api/v1/email-accounts/reconnect-failed-email-accounts",
params={"api_key": "YOUR_API_KEY"},
json={}
)
print(response.status_code, response.json())
{
"ok": true,
"message": "Email account(s) added to the queue to reconnect. We will send you an email once completed."
}
{
"ok": true,
"message": "No failed email account found!"
}
{
"ok": true,
"message": "Bulk reconnect cannot be consumed more than 3 times a day."
}
{
"ok": true,
"message": "You need to wait atleast 30 minutes before requesting a bulk reconnect, again."
}
Can be used up to 3 times a day, with at least 30 minutes between requests. This limit is shared with the bulk reconnect in the app. When reconnection finishes, a results email is sent to your account email.
Query Parameters
string
required
Your SmartLead API key
Request Body
No body is required. Send an empty JSON object.curl -X POST "https://server.smartlead.ai/api/v1/email-accounts/reconnect-failed-email-accounts?api_key=YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{}'
import requests
response = requests.post(
"https://server.smartlead.ai/api/v1/email-accounts/reconnect-failed-email-accounts",
params={"api_key": "YOUR_API_KEY"},
json={}
)
print(response.status_code, response.json())
Response Example
{
"ok": true,
"message": "Email account(s) added to the queue to reconnect. We will send you an email once completed."
}
{
"ok": true,
"message": "No failed email account found!"
}
{
"ok": true,
"message": "Bulk reconnect cannot be consumed more than 3 times a day."
}
{
"ok": true,
"message": "You need to wait atleast 30 minutes before requesting a bulk reconnect, again."
}
